(function() {
	var x = 7;
	console.log(x);
	// wyświetla 7
})();

// <=>

var tmp = function() {
	var x = 7;
	console.log(x);
};

tmp();
// lub
(tmp)();


// wariant wzorca IIFE
(function() {
	// kod
}());
